<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/common_bkg"
    android:orientation="vertical">

    <include layout="@layout/include_left_back_title" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/userNameLayout">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:src="@mipmap/ic_launcher_foreground" />
        </RelativeLayout>

        <LinearLayout
            android:id="@+id/userNameLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:layout_above="@id/requestCodeLayout"
            android:layout_marginHorizontal="@dimen/dp_50"
            android:background="@drawable/bg_stroke_layout_main_radius_7"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/userPhoneView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@null"
                android:hint="请输入手机号"
                android:inputType="phone"
                android:maxLength="11"
                android:padding="@dimen/dp_10"
                android:singleLine="true"
                android:textColorHint="#551D55C6"
                android:textSize="@dimen/sp_16"
                android:theme="@style/EditTextTheme" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/requestCodeLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:layout_above="@id/userPasswordLayout"
            android:layout_marginHorizontal="@dimen/dp_50"
            android:layout_marginVertical="@dimen/dp_15"
            android:background="@drawable/bg_stroke_layout_main_radius_7"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/requestCodeView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@null"
                android:hint="请输入验证码"
                android:inputType="number"
                android:maxLength="6"
                android:padding="@dimen/dp_10"
                android:singleLine="true"
                android:textColorHint="#551D55C6"
                android:textSize="@dimen/sp_16"
                android:theme="@style/EditTextTheme" />

            <Button
                android:id="@+id/requestCodeButton"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_margin="2dp"
                android:background="@drawable/button_gray_selector"
                android:text="获取验证码"
                android:textColor="@color/mainThemeColor"
                android:textSize="@dimen/sp_12" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/userPasswordLayout"
            android:layout_width="match_parent"
            android:layout_height="@dimen/titleViewHeight"
            android:layout_centerInParent="true"
            android:layout_marginHorizontal="@dimen/dp_50"
            android:background="@drawable/bg_stroke_layout_main_radius_7"
            android:orientation="horizontal">

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/userPasswordView"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@null"
                android:hint="请输入密码"
                android:inputType="textPassword"
                android:padding="@dimen/dp_10"
                android:singleLine="true"
                android:textColorHint="#551D55C6"
                android:textSize="@dimen/sp_16"
                android:theme="@style/EditTextTheme" />
        </LinearLayout>

        <Button
            android:id="@+id/registerButton"
            style="@style/MainButtonStyle"
            android:layout_below="@id/userPasswordLayout"
            android:layout_margin="@dimen/dp_50"
            android:text="立即注册" />
    </RelativeLayout>
</LinearLayout>